﻿using System.Linq;
using Bing.Maps;
using System.Collections.Generic;
using Windows.Devices.Geolocation;

namespace MappingUtilities
{
  /// <summary>
  /// Helper methods to easily convert Geopoint Windows 8 Location and back
  /// </summary>
  public static class PointHelpers
  {
    public static LocationCollection ToLocationCollection(this IList<Geopoint> pointList)
    {
      var locations = new LocationCollection();
      foreach (var p in pointList)
      {
        locations.Add(p.ToLocation());
      }
      return locations;
    }

    public static Location ToLocation(this Geopoint location)
    {
      return new Location(location.Position.Latitude, location.Position.Longitude);
    }
  }
}
