﻿using System;
using System.Collections.Generic;
using System.Text;
using Windows.Devices.Geolocation;
using Windows.Devices.Geolocation.Geofencing;

namespace ShowGeofences
{
  public partial class MainPage
  {
    private IEnumerable<Geopoint> FencePoints
    {
      get
      {
        return new List<Geopoint>
               {
                 new Geopoint(new BasicGeoposition {Latitude = 52.157043, Longitude = 5.392407}),
                 new Geopoint(new BasicGeoposition {Latitude = 52.154322, Longitude = 5.387791})
               };
      }
    }

    public void CreateGeoFences()
    {
      var key = 0;
      foreach (var position in FencePoints)
      {
        var geocircle = new Geocircle(position.Position, 100);
        var geofence = new Geofence(key++.ToString(), geocircle);
        GeofenceMonitor.Current.Geofences.Add(geofence);
      }

    }
  }
}
