﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Devices.Geolocation.Geofencing;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238
using Bing.Maps;
using MappingUtilities;
using MappingUtilities.Geofencing;

namespace ShowGeofences
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
          base.OnNavigatedTo(e);
          GeofenceMonitor.Current.Geofences.Clear();

          MyMap.Center = new Location { Latitude = 52.155915, Longitude = 5.390376 };
          MyMap.ZoomLevel = 17;
          CreateGeoFences(); // from shared code
          DrawGeofences();
        }

        private void DrawGeofences()
        {
          var fenceLayer = new MapShapeLayer();
          MyMap.ShapeLayers.Add(fenceLayer);
          var color = Colors.Green;
          color.A = 80;
          foreach (var pointlist in GeofenceMonitor.Current.GetFenceGeometries())
          {
            var shape = new MapPolygon
            {
              FillColor = color,
              Locations = pointlist.ToLocationCollection()
            };
            fenceLayer.Shapes.Add(shape);
          }
        }
    }
  }
