﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Devices.Geolocation;
using Windows.Devices.Geolocation.Geofencing;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Maps;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238
using MappingUtilities.Geofencing;

namespace ShowGeofences
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.NavigationCacheMode = NavigationCacheMode.Required;
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
          GeofenceMonitor.Current.Geofences.Clear();
          MyMap.Center = new Geopoint(new BasicGeoposition { Latitude = 52.155915, Longitude = 5.390376 });
          MyMap.ZoomLevel = 16;
          CreateGeoFences(); // from shared code
          DrawGeofences();
        }

        private void DrawGeofences()
        {
          //Draw semi transparent purple circles for every fence
          var color = Colors.Green;
          color.A = 80;

          // Note GetFenceGeometries is a custom extension method
          foreach (var pointlist in GeofenceMonitor.Current.GetFenceGeometries())
          {
            var shape = new MapPolygon
            {
              FillColor = color,
              StrokeColor = color,
              Path = new Geopath(pointlist.Select(p => p.Position)),
            };
            MyMap.MapElements.Add(shape);
          }
        }
    }
}
